Download the latest version here: www.paderdesign.de
------------------------------------------------------------------

### GIGKALENDER CHANGELOG ###
<!-- Release Date 2019-04-28 -->
v1.2.80_040: Bugfix: functions\standard.php: When new Pagination lists less than 10 pages, button for last page has no page identifier (leads to page 1 then)
v1.2.80_039: Back End: News: new Pagination
v1.2.80_038: Back End: Guestbook: new Pagination
v1.2.80_037: Bugfix: Back End: User was not logged out when max. Inactivity was up
v1.2.80_036: removed variable $L_150 from the language files (not in use anymore)
v1.2.80_035: Bugfix: frontend\images\guestbook_form.png: file missing due to update gigkalender_v1.2.79_009_DEV_update_80_022_DEV => applied new modification date to file
v1.2.80_034: Bugfix: calendar\showGigDetails.php: When showing multiple gigs (from Month View) there was no empty row between the gigs listed
v1.2.80_033: removed variable $L_203 from the language files
v1.2.80_032: renamed all variables $L_ERROR_eMail_could_not_be_sent into $L_ERROR_Email_could_not_be_sent
v1.2.80_031: renamed all variables $L_203 into $L_ERROR_Email_could_not_be_sent
v1.2.80_030: Bugfix: Back End: Admin: Users: adding new user enforced to assign a language (not necessary)
v1.2.80_029: Bugfix: languages\english.php: Improved variables $L_055 and $L_056
v1.2.80_028: Bugfix: Back End>Guestbook: after editing an entry with an empty ICQ field, it had value 0 in database. Now it is NULL.
v1.2.80_027: Bugfix: Back End>Admin>Import: There had been no notice about not having anything selected
v1.2.80_026: Back End>Admin>Import: Removed the use of SessionCookies
v1.2.80_025: Bugfix: Back End>Admin>Tools: Strings were English only
v1.2.80_024: Bugfix: calendar\calendar_wrapper.php: $timestamp was written upper case
v1.2.80_023: Bugfix: calendar\includes\frontend\GigDetailsLink.php: GigDetailsLink showed timestamp in link instead of GigID, so link did not work
v1.2.80_022: guestbook\functions.php.addGuestbookEntry(): optimized function
v1.2.80_021: guestbook\functions.php.EintragHinzufuegen(): renamed into addGuestbookEntry()
v1.2.80_020: guestbook\functions.php.messageIsSpam(): just cleaned up the code
v1.2.80_019: guestbook\guestbook_form.php: simplified the handling of $BackURL
v1.2.80_018: guestbook\guestbook_form.php: senden!='' changed into isset($senden)
v1.2.80_017: guestbook\guestbook_form.php: removed the conversion of POST-vars into standard vars
v1.2.80_016: guestbook\guestbook.php: added the conversion of $_Post-vars into standard vars
v1.2.80_015: guestbook\guestbook.php: added the conversion of $_GET-vars into standard vars
v1.2.80_014: guestbook\guestbook.php: removed the conversion of REQUEST-vars into standard vars
v1.2.80_013: guestbook\functions.php.isFormReload(): return type set to BOOL
v1.2.80_012: guestbook\functions.php.isFormReload(): added escaping of special characters via mysqli_real_escape_string()
v1.2.80_011: update.sql.php: added capability to delete files and folders
v1.2.80_010: Bugfix: filesharing/downloadNotes.php renamed into 'downloadSheetMusic.php'
v1.2.80_009: Bugfix: filesharing\notes renamed into 'sheetmusic'
v1.2.80_008: Bugfix: submenues\filesharing.php: renamed "downloadNotes" into "downloadSheetMusic"
v1.2.80_007: Bugfix: images/filesharing_notes.gif renamed into filesharing_sheet-music.gif
v1.2.80_006: Bugfix: languages\english.php: Variable $L_Notes renamed into $L_Sheet_Music
v1.2.80_005: Bugfix: Back End>File Sharing: menu button 'Notes' renamed into 'Sheet Music'
v1.2.80_004: Back End>Admin>Import: After importing, all checkboxes are unticked.
v1.2.80_003: Bugfix: functions\standard.php.getFrontendURL(): "Notice: Undefined variable: SetupGuestbookFormURL"
v1.2.80_002: $CharsSetupUserMaximumInactivityTime can have 3 chars, is Small Integer and default 60 minutes
v1.2.80_001: Bugfix: guestbook/guestbook_delete.php: If guestbook entry gets
  deleted via email and $SetupGuestbookURL in gigkalender.ini.php is not set,
  back link to guestbook is wrong => gives out a notice now
v1.2.80: New feature: gigkalender.ini.php:
  new variable $SetupFrontendGuestbookBlockedIPsLimit
  guestbook\guestbook_delete.php
v1.2.79_009: languages\deutsch.php.$_ERROR_Old_guestbook_entries_NOT_deleted: changed into "FEHLER: Alte Gästebuch-Einträge NICHT gelöscht!"
v1.2.79_008: languages\english.php.$L_203: changed into "ERROR: Email could NOT been sent!"
v1.2.79_007: guestbook\guestbook_show.php: applied a <H2> tag for the headers of guestbook entries
v1.2.79_006: languages\english.php.$L_182: changed into "The GigKalender is offered free of charge.";
v1.2.79_005: languages\deutsch.php.$L_182: changed into "Der GigKalender wird kostenlos angeboten.";
v1.2.79_004: gigkalender.ini.php: improved error messaging, if connection to database failed
v1.2.79_003: help/threads.php: updated to HTML5
v1.2.79_002: functions\standard.php.MonatsNameVonDatum(): rename into getNameOfMonthFromNumberOfMonth()
v1.2.79_001: functions\standard.php.MonatsNameVonDatum(): function rewritten
v1.2.79: New Feature: gigkalender.ini.php:
  new variable $SetupFrontendCalendarArtistFilter
  => Entering an artist name will display gigs of this particular artist only
v1.2.78_052: guestbook\functions.php.GuestbookNavigation(): renamed into getGuestbookFrontendNavigation()
v1.2.78_051: news\functions.php.getNewsFrontendNavigation(): return type set to :String
v1.2.78_050: news\functions.php.NewsNavigation(): renamed into getNewsFrontendNavigation()
v1.2.78_049: includes\backend_language_selector.php: If language file not found, it gives out an error message
v1.2.78_048: includes\backend_language_selector.php: Using global var $PATH for including files
v1.2.78_047: Bugfix: guestbook\guestbook_form.php: entering a website URL without protocoll triggers error message
v1.2.78_046: languages\english.php.$L_Frontend: renamed into $L_Front_End_Calendar
v1.2.78_045: languages\english.php.$L_Frontend: "Front End" => "Front End - Calendar"
v1.2.78_044: languages\english.php.$L_202: "Calendar" => "Back End - Calendar"
v1.2.78_043: languages\english.php.$L_067: "Back End" => "Back End - General"
v1.2.78_042: Backend: Admin: Members: numbers of asterix * in column Password represented password length
v1.2.78_041: Bugfix: Frontend>Gallery>Image-View: Double-Arrow-Icon to jump to first or last image is always a link, even when grayed out
  gallery\gallery.php
v1.2.78_040: Bugfix: example_guestbook-and-news.php: Pagination of News leads to example_news.php
  => functions\standard.php.getFrontendURL(): Function revised and fully implented in all front end views
v1.2.78_039: frontend/images/guestbook_add.png: renamed into 'guestbook_form.png'
v1.2.78_038: Guestbook: renamed all 'add' into 'form'
v1.2.78_037: guestbook/guestbook_add.php: renamed into 'guestbook_form.php'
v1.2.78_036: gigkalender.ini.php: added comments, that URLs should be absolute paths
v1.2.78_035: Bugfix: languages\deutsch.php: $L_071 = "Deine Anmeldedaten waren NICHT korrekt!";
v1.2.78_034: frontend/example_full.php: New example file, which demonstrates a full website
v1.2.78_033: functions\standard.php: New function getFileNames():Array
v1.2.78_032: functions\standard.php: New function formatFileSize():String
v1.2.78_031: Bugfix: filesharing\filesharing.php:
  Renaming of files caused names like test_1_1_1_1.mid
  => entire code rewritten
v1.2.78_030: filesharing\filesharing.php: partially rewritten
v1.2.78_029: Bugfix: filesharing\filesharing.php: removed all utf8_encode(), since it caused various mistakes
v1.2.78_028: Bugfix: language/english.php: $L_197 = "ERROR: At least one file name contains upper case letters!";
v1.2.78_027: Bugfix: language/english.php: $L_199 = "Error:" changed into "ERROR:"
v1.2.78_026: Bugfix: language/english.php: 4 times changed "At least on filename contains" into "At least one file name contains"
v1.2.78_025: Bugfix: Frontend: Gallery: gives out a warning on unknown file formats, like BMP, TIF, PSD,...
  => gallery\functions.php.getArrayOfImagesInFolder(): returns only known file formats like jpg, jpeg, png and gif
  => file extensions can be lower or upper case now
v1.2.78_024: gallery\functions.php.getArrayOfImagesInFolder(): rewritten function for using globe()
v1.2.78_023: gallery\functions.php: removed obsolet function countImages();
v1.2.78_022: guestbook\guestbook_add.php: gives out an error message, if message contains a blocked character.
v1.2.78_021: guestbook\functions.php.messageIsSpam(): Function returns 'noSpam', if message does not look like spam
v1.2.78_020: guestbook\functions.php.messageIsSpam(): Improved the way it checks for characters, it saves the detected blocked character into spam.log
v1.2.78_019: guestbook\functions.php.messageIsSpam(): Improved the way it checks for words, with surrounding blanks
v1.2.78_018: news\news.php: Faster code to calculate page of requested article, when accessed from news feed with NewsID
v1.2.78_017: Bugfix: news\news.php: If NewsID referred to not existing article, a warning was thrown: "Warning: A non-numeric value encountered..."
v1.2.78_016: Bugfix: Backend: renamed all GET variables "inhalt" into "content"
v1.2.78_015: Backend: Calendar: List: Pagination: Removed the title "Page:"
v1.2.78_014: styles/gigkalender.css: page centered: body {margin: 0 auto 0 auto;}
v1.2.78_013: styles/gigkalender.css: Maximum page width set: body {max-width: 1200px;}
v1.2.78_012: Removed subolder 'gallery/albums/album'
v1.2.78_011: functions\standard.php: removed obsolet function GigsPublished()
v1.2.78_010: Optimized code in calendar\table.php
v1.2.78_009: Optimized code in calendar\list.php
v1.2.78_008: Optimized code in calendar\calendar_past.php
v1.2.78_007: Optimized code in calendar\calendar.php
v1.2.78_006: functions\standard.php.GigsPublished(): Optimized code
v1.2.78_005: Bugfix: Front End: Calendar: If all gigs in period are 'Option', there was no note about no gigs, just nothing.
  => functions\standard.php.GigsPublished(): missing brackets in SQL command
v1.2.78_004: languages/deutsch.php: updated strings $L_060 and $L_075
v1.2.78_003: languages/english.php: updated strings $L_060 and $L_075
v1.2.78_002: languages/deutsch.php: $L_109: changed into "Gästebuch-Formular"
v1.2.78_001: languages/english.php: $L_109: changed into "Guestbook Form"
v1.2.78: New Feature: Back End: Admin: Front End: User can let language blank, so browser language will be detected
v1.2.77_032: languages/deutsch.php: $L_Headline08: changed into "Kalender - Vergangene Gigs:"
v1.2.77_031: languages/english.php: $L_Headline08: changed into "Calendar - Past Gigs:"
v1.2.77_030: file 'images/valid-rss.png' removed
v1.2.77_029: Backend: Admin: Frontend: new RSS-Logo valid-rss-rogers.png
v1.2.77_028: Bugfix: guestbook\guestbook_mail.php: Missing @ for mail() (it threw an exception when running on localhost without a mail server)
v1.2.77_027: Optimized code in guestbook\guestbook.php
v1.2.77_026: Bugfix: guestbook\functions.php.sendMail(): Missing @ for mail() (it threw an exception when running on localhost without a mail server)
v1.2.77_025: Backend: Guestbook: IPs displayed anonymized now
v1.2.77_024: functions/standard.php.emptyDirectory(): changed the error message for not delete files: ">ERROR: File NOT deleted!"
v1.2.77_023: functions/standard.php.emptyDirectory(): added a final / to the $strDir
v1.2.77_022: subfolder 'calendar\includes\addGig\autocomplete' removed
v1.2.77_021: Replaced JavaQueryUI based Autocomplete by HTML5 based <datalist> tag
v1.2.77_020: images/bgindex.jpg: replaced with bgindex-grey.png
v1.2.77_019: gigkalender.ini.php: some strings were in "", others in ''
v1.2.77_018: languages\english.php: changed all "member(s)" into "user(s):"
v1.2.77_017: changed all '...' into '…'
v1.2.77_016: styles\gigkalender.css: * {font-size: 100%;}
v1.2.77_015: Bugfix: languages\english.php: changed $L_Button10 = "Members" into $L_Button10 = "Users";
v1.2.77_014: Minimum password length increased to 24 characters
v1.2.77_013: Bugfix: news\backend_showAllNews.php: Setting number of lines to 'All', throws "Warning: A non-numeric value encountered..."
v1.2.77_012: Bugfix: guestbook\backend_showAllGuestbookEntries.php: Setting number of lines to 'All', throws "Warning: A non-numeric value encountered..."
v1.2.77_011: Bugfix: calendar\backend_showAllGigs.php: Setting number of lines to 'All', throws "Warning: A non-numeric value encountered..."
v1.2.77_010: news\backend_showAllNews.php: View Parameters: minimum line numbers is 10 now
v1.2.77_009: guestbook\backend_showAllGuestbookEntries.php: View Parameters: minimum line numbers is 10 now
v1.2.77_008: calendar\backend_showAllGigs.php: View Parameters: minimum line numbers is 10 now
v1.2.77_007: Bugfix: admin\import.php: Overwriting of Setup has to be checked and disabled
v1.2.77_006: Bugfix: frontend/example_guestbook-and-news.php
  => On adding a guestbook entry: "Warning: A non-numeric value encountered in F:\Eigene Dateien\PaderDesign\Projekte\0027 GigKalender\01 Skript\gigkalender12\news\news.php on line 41"
  => fixed with unique variable $PageVar in pagination URL
v1.2.77_005: Bugfix: functions\standard.php.checkEmail(): failed with new TLDs like .world
v1.2.77_004: languages\english.php: renamed $L_Lens = 'Lens' into $L_Magnify = 'Magnify',
  also in languages\deutsch.php and gallery\gallery.php
v1.2.77_003: install\demo\guestbook.php: Changed Email address
v1.2.77_002: Backend: CSS: 5px padding on left and right side (#Box)
v1.2.77_001: Bugfix: languages/deutsch.php: $L_ERROR_Missing_agreement = "Deine Einwilligung fehlt!";
v1.2.77: New Feature: Frontend > Guestbook > Add: Form requires agreement to privacy policy
  - You can toggle this feature in gigkalender.ini.php: $SetupFrontendGuestbookPrivacyPolicy
  - You can define an URL to the privacy policy in gigkalender.ini.php: $SetupFrontendPrivacyPolicyURL
v1.2.76_029: Bugfix: guestbook\guestbook_add.php: 122: Added a trim() to get rid of blanks infront of URLs or at its end
v1.2.76_028: Bugfix: guestbook\guestbook_add.php: 121: No default "http://" anymore
v1.2.76_027: Bugfix: guestbook\guestbook_add.php: 120: Empty URL does not get replaces with "http://" anymore
v1.2.76_026: Bugfix: backend_addGig: removed all four initial "http" strings in URL fields
v1.2.76_025: Bugfix: backend_addGig: Strip whitespaces from the beginning and end of a URL
v1.2.76_024: Bugfix: backend_addGig: URLs beginning with HTTPS are being rejected as invalid
v1.2.76_023: frontend/*.php: files switched to UTF8
v1.2.76_022: frontend/*.*: files switched to HTML5
v1.2.76_021: frontend/example_calendar-future-and-past.php: file removed
v1.2.76_020: Bugfix: admin\includes\addUser\UserCurrentPassword.php: A password with backslash failed =>
v1.2.76_019: functions\standard.php.getUID(): Bugfix: Login failed with password containing a backslashs
v1.2.76_018: update.sql.php: added support to delete old files and folders, and improved output and its formatting
v1.2.76_017: file 'install/index4.php' removed
v1.2.76_016: Backend: Calender: List: new Pagination
v1.2.76_015: Frontend: News: new Pagination
v1.2.76_014: Bugfix: example_guestbook.php?page=40 caused a warning message, when there are less than 40 pages
v1.2.76_013: Frontend: Guestbook: new Pagination
v1.2.76_012: Bugfix: guestbook\functions.php: GuestbookNavigation(): optimized the way the Navigation-URL gets determined
v1.2.76_011: Bugfix: news\functions.php: NewsNavigation(): optimized the way the Navigation-URL gets determined (was different from GB)
v1.2.76_010: gallery\images\lens.gif: Icon shows a lens now
v1.2.76_009: Increased size of Gallery icons from 18x18 to 32x32 px
v1.2.76_008: Bugfix: gigkalender.ini.php: All boolean values written uppercase
v1.2.76_007: functions\standard.php: getGoogleMapsURL(): simplified function
v1.2.76_006: functions\standard.php: getGoogleMapsURL(): Updated Google-Maps-URL
v1.2.76_005: Bugfix: gigkalender12\installation.txt: "var" => "variable"
v1.2.76_004: Bugfix: gigkalender12\installation.txt: "Tutorials can be ..." => "Detailes tutorials can be ..."
v1.2.76_003: Bugfix: gigkalender12\installation.txt: Updated PaderDesign-URL to "https..."
v1.2.76_002: Bugfix: install\demo\guestbook.php: Updated $gb_EchteURL to "https..."
v1.2.76_001: rewriting news feeds after installation
v1.2.76: New Feature: Gallery now supports GIF images.
v1.2.75_042: Bugfix: gallery\functions.php:46: Undefined variable: SetupFrontendGalleryImagesInterlacing
v1.2.75_041: gallery\albums\album: renamed into 'demo'
v1.2.75_040: gallery\albums\album\original: created 3 new example images as PNG, JPG and GIF
v1.2.75_039: gallery\images\gallery_example_images.pspimage: improved visually
v1.2.75_038: Bugfix: installation.txt: Updated requirements
v1.2.75_037: Bugfix: install\index2.php: Changed minimum MySQL version to 5.5
v1.2.75_036: Bugfix: functions\standard.php.isEmailDomainValid(): array_pop() threw a notice, because it accepts a variable only
v1.2.75_035: Bugfix: languages/deutsch.php: $_ERROR_Old_user_NOT_deleted
v1.2.75_034: Bugfix: languages/deutsch.php: $L_License11
v1.2.75_033: Bugfix: languages/deutsch.php: $L_196
v1.2.75_032: Bugfix: languages/deutsch.php: $L_197
v1.2.75_031: Bugfix: languages/deutsch.php: $L_198
v1.2.75_030: Bugfix: languages/deutsch.php: $L_199
v1.2.75_029: Bugfix: languages/deutsch.php: $L_183
v1.2.75_028: Bugfix: languages/deutsch.php: $L_089
v1.2.75_027: Bugfix: languages/deutsch.php: $L_035
v1.2.75_026: Bugfix: languages/english.php: $L_ERROR_No_installation_of_gigkalender_present
v1.2.75_025: Bugfix: languages/english.php: $L_143
v1.2.75_024: Bugfix: languages/english.php: $L_216
v1.2.75_023: Bugfix: languages/english.php: $L_141
v1.2.75_022: Bugfix: languages/english.php: $L_134
v1.2.75_021: Bugfix: languages/english.php: $L_075
v1.2.75_021: Bugfix: languages/english.php: $L_GigIsPrivate
v1.2.75_020: Bugfix: languages/deutsch.php: $L_Please_log_into_the_backend
v1.2.75_019: Bugfix: languages/english.php: $L_148
v1.2.75_018: Bugfix: admin\delUser.php: deleting other accounts than own one failed

<!-- Release Date 2018-10-04 -->
v1.2.75_017: replaced install/index3.php with install/index4.php => removed donation buttons during installation
v1.2.75_016: help/donate.php: removed the Flattr donation option
v1.2.75_015: migrated file includes/donate.php into help/donate.php
v1.2.75_014: Bugfix: admin\delUser.php: Blocked misusing GET var 'uid' to delete own admin account.
v1.2.75_013: Bugfix: admin\showUsers.php: it was possible to delete own admin account => removed the delete icon for own user
v1.2.75_012: Bugfix: functions\standard.php.logout():992: Cause a warning on logout about session_name() => session_name() got removed
v1.2.75_011: Bugfix: calendar\includes\addGig\GigCity.php:8: when back-end language is English, "Location" has to be "City"
v1.2.75_010: Bugfix: calendar\showGigDetails.php:40: Undefined variable: GigLocation
v1.2.75_009: Bugfix: calendar\backend_addGig.php:205: removed deprecated each() by using foreach() instead of while()
v1.2.75_008: Bugfix: admin\includes\editAttributes.php:196: removed deprecated each() by using foreach() instead of while()
v1.2.75_007: Bugfix: functions/standard.getFrontendURL(): parse_str: deprecated without second argument => rewritten entire function
v1.2.75_006: Bugfix: help/threads.php:100: Fixed error "Function name must be a string" on mysqli_close
v1.2.75_005: Footer: changed http to https in url of paderdesign.de
v1.2.75_004: Updated installation.txt
v1.2.75_003: Bugfix: Backend>Admin>User>Edit User: displays permanently "Session: Offline"
v1.2.75_002: index.php: JavaScript loading uses SWITCH now, instead of a bunch of IFs
v1.2.75_001: Bugfix: index.php: wrong placed </div> tag
v1.2.75: New Feature: Updated embedded CKEditor to version 4.10.0
v1.2.74_010: Bugfix: Backend>Admin>User: Can neither edit nor add users => removed token() from addUser.php
v1.2.74_009: Bugfix: functions/import/12/setup.php: fgetcsv(): max line length set to 0 (=unlimited)
v1.2.74_008: Bugfix: help/threads.php: changed all url protocolls from HTTP to HTTPS
v1.2.74_007: Bugfix: help/forum.php: changed all url protocolls from HTTP to HTTPS
v1.2.74_006: Bugfix: calendar/showGigDetails:40: "Notice: Array to string conversion": $$Attributes[$i]!='' => ${$Attributes[$i]}!=''
v1.2.74_005: Bugfix: functions/standard.php:355: preg_match for Timestamps: '(/[0-9]{9,10})/' => '/([0-9]{9,10})/'
v1.2.74_004: Bugfix: includes/header.php:17: removed redundant slash / from path to favicon
v1.2.74_003: calendar/showGigDetails.php:46: removed empty table row
v1.2.74_002: calendar/showGigDetails.php:25: removed empty table row
v1.2.74_001: calendar/showGigDetails.php:36: fixed the issue with the empty string of $GigLocation
v1.2.74: New Feature: Gallery: Alternate Text (Alt) shows picture file name, if image description text-file is empty (improvement for search engine picture search)
v1.2.73_002: Bugfix: gallery/gallery_entry.php: removed there counter
v1.2.73_001: Bugfix: gallery/gallery_entry.php:64: Gallery shows the album icons twice
v1.2.73: New Feature: Updated embedded CKEditor to version 4.5.10
v1.2.72_002: MySQL-Database-Update: News: 'LastEditor' may have up to 20 characters now
v1.2.72_001: MySQL-Database-Update: News: 'AddedFrom' may have up to 20 characters now
v1.2.72: New Feature: Changes in Gallery: It automatically generates Thumbnails and scaled Images from files in the 'original' folder.
13 v1.2.71_041: installation.txt: Added a hint about tutorials and fixed a typo
13 v1.2.71_040: replaced ALL deprecated functions mysql_close() with mysqli_close()
13 v1.2.71_039: replaced ALL deprecated functions mysql_error() with mysqli_error()
13 v1.2.71_038: replaced ALL deprecated functions mysql_select_db() with mysqli_select_db()
13 v1.2.71_037: replaced ALL deprecated functions mysql_query() with mysqli_query()
13 v1.2.71_036: replaced ALL deprecated functions mysql_fetch_row() with mysqli_fetch_row()
13 v1.2.71_035: replaced ALL deprecated functions mysql_real_escape_string() with mysqli_real_escape_string()
13 v1.2.71_034: replaced ALL deprecated functions mysql_num_rows() with mysqli_num_rows()
13 v1.2.71_033: replaced ALL deprecated functions mysql_fetch_array() with mysqli_fetch_array()
13 v1.2.71_032: replaced ALL deprecated functions mysql_fetch_assoc() with mysqli_fetch_assoc()
13 v1.2.71_031: replaced ALL global $db_name; with global $db;
13 v1.2.71_030: replaced ALL deprecated functions mysql_db_query() with mysqli_query()
13 v1.2.71_029: gigkalender.ini.php: added mysqli_select_db();
13 v1.2.71_028: install/deinstall.php: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_027: functions/standard.php:addUser(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_026: functions/standard.php:testDoppelteUser(): replaced deprecated function mysql_fetch_row() with mysqli_fetch_row()
13 v1.2.71_025: functions/standard.php:testDoppelteUser(): replaced deprecated function mysql_num_rows() with mysqli_num_rows()
13 v1.2.71_024: functions/standard.php:testDoppelteUser(): replaced deprecated function mysql_query() with mysqli_query()
13 v1.2.71_023: functions/standard.php:addUser(): replaced deprecated function mysql_real_escape_string() with mysqli_real_escape_string()
13 v1.2.71_022: install/iniNews.php:26: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_021: install/iniGuestbook.php:28: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_020: install/iniGigs.php:70: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_019: install/iniUser.php:32: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_018: install/iniSetup.php:161: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_017: install/iniSetup.php:58: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_016: install/index2.php:36: replaced deprecated function mysql_query() with mysqli_query()
13 v1.2.71_015: functions/standard.php:isDatabasePresent(): replaced deprecated function mysql_select_db() with mysqli_select_db()
13 v1.2.71_014: install/index2.php:28: replaced deprecated function mysql_get_server_info() with mysqli_get_server_info()
13 v1.2.71_013: functions/standard.php:getUID(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_012: functions/standard.php:loggedIn(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_011: functions/standard.php:getCurrentUserVar(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_010: functions/standard.php:logoutInactiveUser(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_009: functions/standard.php:getSetup(): replaced deprecated function mysql_db_query() with mysqli_query()
13 -v1.2.71_008: gigkalender.ini.php:84: replaced deprecated function mysql_query with mysqli_query
13 v1.2.71_007: gigkalender.ini.php:82: replaced deprecated function mysql_connect with mysqli_connect
13 v1.2.71_006: installation.txt: Optimized the instructions
13 v1.2.71_006: guestbook/functions.php:203: changed 'word' into 'blocked-word' to be more unique in log files
13 v1.2.71_005: guestbook/functions.php:214: changed 'code' into 'blocked-character' to be more unique in log files
13 v1.2.71_004: guestbook/functions.php:210: changed 'domain' into 'blocked-url' to be more unique in log files
13 v1.2.71_003: guestbook/functions.php:190: changed 'ip' into 'blocked-ip' to be more unique in log files
13 v1.2.71_002: guestbook/functions.php:184: changed 'url' into 'hidden-url' to be more unique in log files
13 v1.2.71_002: guestbook/functions.php: messageIsSpam(): Changed order off filters to improve performance
v1.2.71_001: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.10.3 including updating JQuery to v1.9.1
v1.2.71: New Feature: editor: Switched the internal editor from TinyMCE Editor to CKEditor
13 v1.2.70_006: frontend/images: new Atom and RSS Feed icons as SVG and PNG
13 v1.2.70_005: frontend/example_formate.css:200: .GigKalender .NewsEntryHeadline {... font-size: 1em;}
13 v1.2.70_004: news/news.php: 57: Changed "<div class="NewsEntryHeadline">" into "<h2 class="NewsEntryHeadline">"
v1.2.70_003: Updated Editor to version 3.5.7
v1.2.70_002: Bugfix: admin/showUsers.php: restructure the source code
v1.2.70_001: Bugfix: admin/showUsers.php: Logged in as User it was possible to display the page 'showUsers' by changing the var 'inhalt' in the url.

v1.2.70: New Feature: news/backend_showAllNews: New Button (iBrowser) to upload images
v1.2.69: New Feature: news/backend_showAllNews: New Multimedia button to insert different kind of multimedia
v1.2.68: New Feature: news/backend_showAllNews: New Image button to insert images
v1.2.67: New Feature: news/backend_showAllNews: New Print button to print the news entry
v1.2.66_014: Format of location (Country, PostalCode, City, District) defineable in gigkalender.ini.php
v1.2.66_013: Bugfix: gigkalender.ini.php:10: a missing slash at the end of the URL can cause issues in the entire system
v1.2.66_012: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.8.17 including updating JQuery to v1.7.1
v1.2.66_011: Bugfix: guestbook/guestbook_delete.php:63: output of the IP not necessary => removed
v1.2.66_010: Bugfix: calendar/includes/frontend/GigIsPrivate.php: It just says Yes or No in list view, which makes no sense => now it says Public oder Private
v1.2.66_009: functions/standard.php:1462: improved code in AnzahlTagedesMonats()
v1.2.66_008: functions/standard.php:1108: improved code in TimestampAusDatum()
v1.2.66_007: index.php:103: changed some lines, so only one loggedIn() call is used => better performance
v1.2.66_006: added the Admin/User idenfication to calendar/backend_year-generate.php, like in v1.2.66_005
v1.2.66_005: calendar/backend_month-html.php:22: moved the Admin/User idenfication to calendar/backend_year-generate.php => better performance
v1.2.66_004: calendar/backend_month-html.php:37: Changed some lines to reduce database requests => better performance
v1.2.66_003: guestbook/guestbook_delete.php:65: unnecessary function call print_r()
v1.2.66_002: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.8.16 including updating JQuery to v1.6.2
v1.2.66_001: Bugfix: guestbook/guestbook_delete.php:62: Avoiding blocking the same IP multiple times
v1.2.66: New Feature: Blocking IPs of guestbook spam while deleting from the page
v1.2.65_009: moved favicon.ico to images/favicon.ico
v1.2.65_008: file '/phpinfo.php' removed
v1.2.65_007: Bugfix: guestbook/guestbook_add.php: 165: Cancel-button returned to wrong page sometimes
v1.2.65_006: Bugfix: frontend: calendar: list view: comma behind last gig attribute unnecessary
v1.2.65_005: update.sql.php: calls clearCache() to clear the cache
v1.2.65_004: update.sql.php: calls writeAllFeeds() to rewrite all news feeds
v1.2.65_003: Bugfix: admin/import.php: with register_globals=ON GigKalender forgets which checkboxes were checked
v1.2.65_002: admin/import.php: Button 'No' removed
v1.2.65_001: Bugfix: admin/import.php: offered non-GigKalender files (e.g. import/gigs.txt) checkboxes to get imported
v1.2.65: New Feature: Frontend: Add Gig & Add News: Format editor: New button to remove formats added by the editor
v1.2.64_010: Bugfix: editor/editor.php:28: Umlauts in Gig-Notes are saved and displayed as 'named' entities > changed to 'raw'
v1.2.64_009: Bugfix: news/backend_showAllNews.php:109: mouse hover title of column 'Title' missing
v1.2.64_008: gigkalender.ini.php:83: Version number now included from includes/version.php
v1.2.64_007: calendar/showGigDetails.php: shows only one date now when multiple gigs are listed
v1.2.64_006: Bugfix: calendar/showGigDetails.php: Back-button too long > add class 'submitButton'
v1.2.64_005: calendar/showGigDetails.php: added a line between gigs
v1.2.64_004: Bugfix: calendar/showGigDetails.php: Back-button too long > add class 'submitButton'
v1.2.64_003: Bugfix: calendar/showGigDetails.php: showed multiple Back-buttons when more than one gig was listed
v1.2.64_002: gallery/functions.php:76: getArrayOfImagesInFolder(): subfolder were counted too > is_file() to avoid it
v1.2.64_001: added a license file for JQuery-UI: calendar/includes/addGig/autocomplete/MIT-LICENSE.txt
v1.2.64: New Feature: Links to event details in the frontend calender list/table ('more...') can be switched on and off.
v1.2.63_127: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.8.13 including updating JQuery to v1.5.1
v1.2.63_126: functions/functionsstandard.php: 508: function TimeStampAusDatumMitUhrzeit() removed
v1.2.63_125: guestbook/functions.php: GuestbookNavigation(): 337: ereg_replace() > preg_replace() (ereg_replace() is deprecated since PHP 5.3)
v1.2.63_124: news/functions.php: NewsNavigation(): 261: ereg_replace() > preg_replace() (ereg_replace() is deprecated since PHP 5.3)
v1.2.63_123: functions/standard.php: checkEmail(): 754: added strtolower($email)
v1.2.63_122: functions/standard.php: checkEmail(): 754: eregi() > preg_match() (eregi() is deprecated since PHP 5.3)
v1.2.63_121: functions/standard.php: checkICQNumber():535: eregi() > preg_match() (eregi() is deprecated since PHP 5.3)
v1.2.63_120: functions/standard.php: convertISO8601ToTimestamp():345: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_119: functions/standard.php: convertISO8601ToTimestamp():337: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_118: functions/standard.php: convertISO8601ToTimestamp():311: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_117: functions/standard.php: convertISO8601ToTimestamp():281: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_116: functions/standard.php: getFrontendURL():184: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_115: guestbook/guestbook_mail.php:105: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_114: guestbook/guestbook_add.php:147: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_113: guestbook/functions.php:320: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_112: guestbook/functions.php:200: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_111: news/functions.php:245: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_110: calendar/includes/fronted/GigDetailsLink.php:11: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_109: frontend/example_formate.css:91 removed entire definition ".GigKalender .GuestbookErrorMessages"
v1.2.63_108: all declarations for CSS class "GuestbookErrorMessages" renamed into "ErrorMessage"
v1.2.63_107: all declarations for CSS class "Fehlermeldung" renamed into "ErrorMessage"
v1.2.63_106: guestbook/guestbook_add.php:164: class "submitButton" added to make text bold
v1.2.63_105: guestbook/guestbook_mail.php:127: class "submitButton" added to make text bold
v1.2.63_104: frontend/example_formate.css:98: "width: 20em;"
v1.2.63_103: guestbook/guestbook_add.php:165: new button "Cancel"
v1.2.63_102: guestbook/guestbook_mail.php:128: new button "Cancel"
v1.2.63_101: Bugfix: guestbook/guestbook_mail.php:127: no language var set for submit button value
v1.2.63_100: languages/*.php:30: "Status" changed into "Role"
v1.2.63_099: Bugfix: Backend: Admin: Setup: Front End: Attributes in detail view: Editor: after deactivating all attributes: Notice: Undefined variable: L_ > Using array_filter(explode()) instead of explode() in lines 29-32 and 124-127
v1.2.63_098: Bugfix: Backend: Admin: Setup: Front End: Attributes in detail view: Button 'All' set the attributes of the common frontend view (not detail) > admin/includes/setup/javascript.php: 31+32: defined the correct var $allFrontendDetailAttributes
v1.2.63_097: Bugfix: Frontend: Calendar: Table view: line breaks in table header > frontend/example_formate.css: 21: white-space: nowrap;
v1.2.63_096: Bugfix: Frontend: Calendar: some mouse over titles got capped too > calendar/includes/frontend/subString.php: optimized
v1.2.63_095: new PaderDesign icon for the back-end footer
v1.2.63_094: $SetupFrontendTimeFormat can be defined in gigkalender.ini.php
v1.2.63_093: all files in calendar/includes/frontend optimized
v1.2.63_092: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigVisitors.php: optimized
v1.2.63_091: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigEnding.php: optimized
v1.2.63_090: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigStageBuilding.php: optimized
v1.2.63_089: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigLineup.php: optimized
v1.2.63_088: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigOrganizer.php: optimized
v1.2.63_087: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigBeginning.php: optimized
v1.2.63_086: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigEvent.php: optimized
v1.2.63_085: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigArtist.php: optimized
v1.2.63_084: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/subString.php: optimized
v1.2.63_083: Bugfix: guestbook/includes/showAllGuestbookEntries/GuestbookURL.php:7: mouse hover don't show up
v1.2.63_082: Bugfix: guestbook/includes/showAllGuestbookEntries/GuestbookEmail.php:7: mouse hover don't show up
v1.2.63_081: file renamed: calendar/includes/frontend/showGigDetails.php > GigDetailsLink.php
v1.2.63_080: Bugfix: guestbook/guestbook_mail.php:41: double colons (:) in mail subject
v1.2.63_079: Bugfix: Undefined index: message in guestbook/guestbook_mail.php on line 20
v1.2.63_078: added an UTF-8 char-set definition to all form tags (accept-charset="UTF-8")
v1.2.63_077: Bugfix: Undefined variable: CODE in guestbook/functions.php on line 245
v1.2.63_076: Editor can be resized horizontal too
v1.2.63_075: Updated Editor to version 3.4.2
v1.2.63_074: languages/english.php:393: "Members View" changed into "Members" (analog in deutsch.php)
v1.2.63_073: Bugfix: update.sql.php:8: caused a MySQL-error on some systems
v1.2.63_072: Bugfix: Exported gig.csv of v1.2.63_044 can contain "NULL" as Postal Code > functions/standard.php:addGig():1237
v1.2.63_071: Bugfix: v1.2.63_043 caused "NULL" in empty Postal Code fields > via MySQL setting those to empty string ""
v1.2.63_070: Bugfix: languages/english.php: several "sent" changed into "send"
v1.2.63_069: Bugfix: functions/import/080225/setup.php:49: SetupShowEditorInAddGigForm = '1'"; (Import could switch off the Editor again)
v1.2.63_068: Bugfix: functions/import/11/setup.php:49: SetupShowEditorInAddGigForm = '1'"; (Import could switch off the Editor again)
v1.2.63_067: Bugfix: functions/import/12/setup.php:49: SetupShowEditorInAddGigForm = '1'"; (Import could switch off the Editor again)
v1.2.63_066: help/threads.php: date and author of last post combined in one column with Standard date representation ISO 8601 'Y-m-d' and time
v1.2.63_065: help/threads.php: Arrow to last topic changed
v1.2.63_064: Bugfix: calendar/backend_selectGig.php:112: gives out wrong date format > changed like in backend_showAllGigs.php
v1.2.63_063: Bugfix: adding an event with empty PostalCode saves 'NULL' into database > functions/standard.php:1231: line removed
v1.2.63_062: gigkalender.ini.php: Standard date representation is now the international standard ISO 8601 'Y-m-d'
v1.2.63_061: user/editCurrentUser.php:52: If user changes language the cache will be cleared
v1.2.63_060: Bugfix: languages/english.php: several misspellings corrected
v1.2.63_059: Bugfix: languages/deutsch.php: several misspellings corrected
v1.2.63_058: languages/english.php: each 'Backend' changed into 'Back End'
v1.2.63_057: languages/english.php: each 'Frontend' changed into 'Front End'
v1.2.63_056: languages/deutsch.php: each 'Backend' changed into 'Back-End'
v1.2.63_055: languages/deutsch.php: each 'Frontend' changed into 'Front-End'
v1.2.63_054: Backend: Admin: Setup: Show editor in form: field is always checked and inactive, so the editor will always be active.
v1.2.63_053: Backend: Admin: Setup (setup.php): moved "Lines in Textareas" below "Allow double dates"
v1.2.63_052: languages/english.php:159 "Export/Import-Separator:" > "Import/Export Delimiter:"
v1.2.63_051: help/donate.php:12: open a new window when form is send
v1.2.63_050: languages/english.php:311: sentence rewritten
v1.2.63_049: languages/english.php:310: sentence rewritten
v1.2.63_048: Bugfix: languages/english.php:309: typing mistakes > sentence rewritten
v1.2.63_047: install/index.php:32: New button name 'Agreed!'
v1.2.63_046: gallery/templates/gallery_entry.php:28: "Bilder" translated into "Images"
v1.2.63_045: Bugfix: Frontend: Gallery: included TXT-files showed a ? when embedded into an ANSI website > saved again without Ident.Bytes/BOM
v1.2.63_044: MySQL-Database-Update: Backend: Usernames may have up to 20 characters now
v1.2.63_043: MySQL-Database-Update: Backend: Calendar: Add Gig: Postal Code: accepts characters too
v1.2.63_042: install/index2php:27: added a clearCache() call
v1.2.63_041: calendar/backend_addGig.php:231: added button 'Reset'
v1.2.63_040: user/editCurrentUser.php:85: removed button 'Cancel'
v1.2.63_039: gigkalender.ini.php:15: $CharsGuestbookListFields increased to 36
v1.2.63_038: gigkalender.ini.php:14: $CharsCalenderListFields increased to 22
v1.2.63_037: mail/mail.php: input fields for 'Sender' and 'Recipient' grayed out with CSS class 'DisabledTextarea'
v1.2.63_036: languages/english.php: all strings 'eMail' changed into 'Email'
v1.2.63_035: languages/deutsch.php: all strings 'eMail' changed into 'Email'
v1.2.63_034: install/iniSetup.php:70: $SetupGuestbookSpamWords: some words removed
v1.2.63_033: folder guestbook/includes/addGuestbookEntry removed
v1.2.63_032: file includes/reloadblocker.php removed
v1.2.63_031: file includes/fuzzing.user.js removed
v1.2.63_030: file images/update.gif removed
v1.2.63_029: file images/rss.svg removed
v1.2.63_028: file images/logout.gif removed
v1.2.63_027: file images/login.gif removed
v1.2.63_026: file images/kalender_zukunft.gif removed
v1.2.63_025: file images/kalender_vergangenheit.gif removed
v1.2.63_024: file images/gigs.gif removed
v1.2.63_023: help/threads: translated into english
v1.2.63_022: history.txt renamed into changelog.txt
v1.2.63_021: Backend: Help: Forum: adjusted iFrame height
v1.2.63_020: Bugfix: RSS-Validator: description should not contain relative URL references > editor/editor.php:30 > convert_urls : false
v1.2.63_019: file editor/editor2.php removed
v1.2.63_018: Bugfix: Backend: After logging out menus and content was still visible > functions/standard.php:loggedIn(): session_id() returned empty string
v1.2.63_017: functions/standard.php:getGoogleMapsURL(): Google-Maps-URL changed, with browser language selector
v1.2.63_016: Bugfix: Backend: Calendar: List: HTML-Tidy says "<…> escaping malformed URI reference” > functions/standard.php:getGoogleMapsURL(): using rawurlencode() now
v1.2.63_015: Bugfix: Backend: Calendar: List: HTML-Tidy says "unescaped & or unknown entity &..." > calendar/includes/showAllGigs/GigEvent.php > htmlspecialchars() on both vars
v1.2.63_014: new icon for images/show.gif > show.png
v1.2.63_013: styles/gigkalender.css optimized
v1.2.63_012: Backend:Help:Donation: Flattr-Button added and PayPal-Button updated
v1.2.63_011: news/functions.php: writeAtomFeed():113: changed the tag <updated>
v1.2.63_010: news/functions.php: writeAtomFeed():115: added the tag <published>
v1.2.63_009: news/functions.php: writeAtomFeed():114: added the tag <link rel="alternate" href="'.$URL.'" />
v1.2.63_008: styles/gigkalender_print.css:18: 0.1em > 1px
v1.2.63_007: Bugfix: Backend: Calendar: List: gigkalender_print_sw.css not loaded > includes/header.php:19: showAllGigs > backend_showAllGigs
v1.2.63_006: file readme.txt removed
v1.2.63_005: regarding to Bugfix v1.2.61_073: each "0.05em" changed into "1px"
v1.2.63_004: Bugfix: Backend: border frames not displayed in Opera and Webkit > styles/gigkalender.css: each "0.05em" changed into "1px"
v1.2.63_003: Bugfix: standard/functions.php: isEmailDomainValid(): Fails on Windows servers when exec() is disabled > function rewritten
v1.2.63_002: File renamed: gallery/images/Example_Images.pspimage > gallery_example_images.pspimage
v1.2.63_001: File renamed: gallery/images/Icons.pspimage > gallery_icons.pspimage
v1.2.63: New Feature to Rewrite News Feeds in the Backend under Admin>Tools
v1.2.62: New Feature to Clear Cache in the Backend under Admin>Tools
v1.2.61_069: Translated installation.txt to english
v1.2.61_068: Bugfix: Admin: List/Guestbook/News: Changing entries per page in page navigation throws "Notice: Array to string conversion in index.php on line 23" --> index.php:23: added " AND !is_array($value)"
v1.2.61_067: Bugfix: Admin: List/Guestbook/News: Changing entries per page in page navigation throws "Notice: Array to string conversion in index.php on line 18" --> index.php:18: added " AND !is_array($value)"
v1.2.61_066: Bugfix: Admin: Import: Gigs: Venue: Import of "xxx'xxx" becomes "xxx\'xxx" in database --> functions\import\12\gigs.php > removed for-Loop in Line12
v1.2.61_065: Bugfix: Admin: Import: Guestbook: Name: Import of "QM'ler" becomes "QM�ler" in database --> AltenEintragHinzufuegen() rewritten (like EintragHinzufuegen() with strip_tags() and mysql_real_escape_string() )
v1.2.61_064: Backend: Admin: Import: Guestbook: AltenEintragHinzufuegen(): Generating a new $Code not necessary > removed
v1.2.61_063: Bugfix: Backend: Calendar: Adding Gigs: In URL-fields Autocomplete shows the same URLs with and without a closing Slash if both is in database
v1.2.61_062: Bugfix: Frontend: CSS: If more than one view was embeddeded into a website more than one calls of id="GigKalender" were made > changed to class="GigKalender"
v1.2.61_061: Backend: Calendar, News, Guestbook: Default number of table raws set to 25.
v1.2.61_060: Bugfix: Frontend: Guestbook: Wrong URL for sign in the first entry when guestbook is empty and guestbook included into a website.
v1.2.61_059: Backend: Admin: Setup: Frontend: Zeitraum: Hinweis hinzugefügt, dass es sich nur auf 'calendar.php' bezieht.
v1.2.61_058: Bugfix: Frontend: calendar_past.php: table: Zeitraum abhängig von Einstellung im Setup
v1.2.61_057: Bugfix: Frontend: Kalender: table: Monatstrenner wird nach jedem Tag angezeigt.
v1.2.61_056: Bugfix: Frontend: gleichzeitiges Einbinden von calender.php und calendar_past.php zeigt jeweils nur die erste Einbindung.
v1.2.61_055: functions/standard.php/getGoogleMapsURL():195: 'Kreis' wird an Google übergeben, wenn vorhanden aber 'Stadt' nicht.
v1.2.61_054: install/iniSetup.php:61: $SetupRowsTextareas = 5;
v1.2.61_053: install/iniSetup.php:75: $SetupAllowDoubleDates = '1';
v1.2.61_052: install/iniSetup.php:90: $SetupShowEditorInAddGigForm = '1';
v1.2.61_051: install/iniSetup.php:71: $SetupUserMaximumInactivityTime = "30";
v1.2.61_050: Backend: Hilfe: Forum: iFrame höher gemacht
v1.2.61_049: Bugfix: Datensätze mit Interger-Werten lassen sich im MySQL-Strict-Modus(?) nicht anlegen:
  folgende Variabeln als NULL definiert (if=='') und Quotes in MySQL-Statements entfernt:
    functions/standard.php:
      addGig(): GigPostalCode, GigPublish, GigIsPrivate, GigDateOfLastEdit, GigDateOfAdding
    functions/standard.php:
      editSetup(): SetupRefreshtime, SetupRowsTextareas, SetupGuestbookEntriesPerPage, SetupGuestbookEntriesUnlock, SetupUserMaximumInactivityTime, SetupNewsEntriesPerPage, SetupFrontendAllowOptionalGigs, SetupFrontendAllowPrivateGigs, SetupAllowDoubleDates, SetupFrontendCalendarCharsInFields, SetupFrontendCalendarShowTableHeads, SetupFrontendCalendarMaxAmountOfGigs, SetupFrontendCalendarShowMonthlySeparator, SetupShowEditorInAddGigForm
    guestbook/functions.php:
      EintragHinzufuegen(): Datum, ICQ, CODE
      AltenEintragHinzufuegen(): Datum, ICQ, CODE
    cms/functions.php:
      addMenuItem(): MenuItemSequence
    news/functions.php:
      addNews(): Date, DateOfLastEdit, Publish
      changePublishing(): DateOfLastEdit, Publish
      importNewsEntry(): Date, DateOfLastEdit, Publish
    functions/standard.php:
      addUser(): UserLastActivityTimestamp, UserRightEmail, UserRightAddNews, UserRightEditNews, UserRightDeleteNews
    functions/standard.php:
      editUser(): UserRightEmail, UserRightAddNews, UserRightEditNews, UserRightDeleteNews
  Bedingung bzgl NULL angepasst:
    guestbook/includes/showAllGuestbookEntries/GuestbookICQ.php/7
    guestbook/guestbook_show.php/56
